Description: add GCC hardening.
Author: Joao Eriberto Mota Filho <eriberto@debian.org>
Last-Update: 2017-08-02
Index: procinfo-2.0.304/configure.in
===================================================================
--- procinfo-2.0.304.orig/configure.in
+++ procinfo-2.0.304/configure.in
@@ -35,14 +35,14 @@ AC_FUNC_STRTOD
 AC_CHECK_FUNCS([select strtol strtoul strtoull snprintf readdir64])
 
 AC_ARG_ENABLE(maintainer-mode, [ --enable-maintainer-mode	Enables debug symbols and disables optimizations [default=no]],
-[ enable_maintainer_mode=yes ])
+[ enable_maintainer_mode=no ])
 
 if test "$enable_maintainer_mode" = "yes"; then
 	CFLAGS="-O0 -g3 --pipe -Wall"
 	LDFLAGS="-lncurses"
 else
 	CFLAGS="$CFLAGS -pipe -Wall"
-	LDFLAGS="-s -lncurses"
+	LDFLAGS="$LDFLAGS -s -lncurses"
 fi
 
 AC_OUTPUT(Makefile)
Index: procinfo-2.0.304/Makefile.in
===================================================================
--- procinfo-2.0.304.orig/Makefile.in
+++ procinfo-2.0.304/Makefile.in
@@ -44,7 +44,7 @@ linux26_procstat.cpp linux26_rendercpupa
 cygwin_procstat.cpp cygwin_rendercpupagestat.cpp \
 lib/routines.cpp lib/timeRoutines.cpp lib/prettyPrint.cpp \
 Makefile
-	$(CXX) $(CFLAGS) $(LDFLAGS) procinfo.cpp -o $@
+	$(CXX) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) procinfo.cpp -o $@
 
 #procinfo.o: procinfo.cpp procinfo.h
 #	$(XX) $(CFLAGS) procinfo.cpp -o procinfo.o
